Bug 1308548 - [abrt] PackageKit: solv_bin2hex(): packagekitd killed by SIGSEGV
[abrt] PackageKit: solv_bin2hex(): packagekitd killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3cef4cf8e1cd37e337edf2eb7c4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 08:38 EST by Milan Bouchet-Valat
Modified: 2016-12-20 13:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:44:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.62 KB, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details
File: cgroup (148 bytes, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details
File: core_backtrace (10.86 KB, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details
File: dso_list (8.66 KB, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details
File: environ (120 bytes, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details
File: exploitable (110 bytes, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details
File: maps (39.62 KB, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details
File: mountinfo (3.84 KB, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details
File: open_fds (7.57 KB, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details
File: var_log_messages (836 bytes, text/plain)
2016-02-15 08:38 EST, Milan Bouchet-Valat
no flags Details

  None (edit)
Description Milan Bouchet-Valat 2016-02-15 08:38:21 EST
Version-Release number of selected component:
PackageKit-1.0.11-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: solv_bin2hex
executable:     /usr/libexec/packagekitd
global_pid:     2802
kernel:         4.4.0-1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 solv_bin2hex at /usr/src/debug/python3-libsolv-0.6.14-7.fc23/src/util.c:237
 #1 hy_chksum_str at /usr/src/debug/hawkey-0.6.2/py3/src/util.c:111
 #2 hif_package_check_filename at hif-package.c:693
 #3 hif_transaction_depsolve at hif-transaction.c:1100
 #4 pk_backend_transaction_run at pk-backend-hif.c:2397
 #5 pk_backend_update_packages_thread at pk-backend-hif.c:3207
 #6 pk_backend_job_thread_setup at pk-backend-job.c:814
 #7 g_thread_proxy at gthread.c:778
Comment 1 Milan Bouchet-Valat 2016-02-15 08:38:27 EST
Created attachment 1127279 [details]
File: backtrace
Comment 2 Milan Bouchet-Valat 2016-02-15 08:38:28 EST
Created attachment 1127280 [details]
File: cgroup
Comment 3 Milan Bouchet-Valat 2016-02-15 08:38:29 EST
Created attachment 1127281 [details]
File: core_backtrace
Comment 4 Milan Bouchet-Valat 2016-02-15 08:38:31 EST
Created attachment 1127282 [details]
File: dso_list
Comment 5 Milan Bouchet-Valat 2016-02-15 08:38:32 EST
Created attachment 1127283 [details]
File: environ
Comment 6 Milan Bouchet-Valat 2016-02-15 08:38:33 EST
Created attachment 1127284 [details]
File: exploitable
Comment 7 Milan Bouchet-Valat 2016-02-15 08:38:34 EST
Created attachment 1127285 [details]
File: limits
Comment 8 Milan Bouchet-Valat 2016-02-15 08:38:36 EST
Created attachment 1127286 [details]
File: maps
Comment 9 Milan Bouchet-Valat 2016-02-15 08:38:37 EST
Created attachment 1127287 [details]
File: mountinfo
Comment 10 Milan Bouchet-Valat 2016-02-15 08:38:38 EST
Created attachment 1127288 [details]
File: open_fds
Comment 11 Milan Bouchet-Valat 2016-02-15 08:38:39 EST
Created attachment 1127289 [details]
File: proc_pid_status
Comment 12 Milan Bouchet-Valat 2016-02-15 08:38:41 EST
Created attachment 1127290 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-11-24 10:35:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 13:44:48 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.